<div class="container books-container">
  <h1>{{vm.editMode ? 'REQUEST A BOOK' : 'REQUESTS'}}</h1>
  <svg class="spinner" width="32px" height="32px" viewBox="0 0 66 66" ng-class="{'visible':vm.isLoading}">
    <circle class="path" fill="none" stroke-width="6" stroke-linecap="round" cx="33" cy="33" r="30"></circle>
  </svg>
  <button class="add-button" ng-class="{'active':vm.editMode}" ng-click="vm.editMode = !vm.editMode" ng-show="vm.global.selectedUserIsMe"><i class="fa fa-plus"></i></button>
  <div class="books-row" ng-show="!vm.editMode" ng-class="{'focus':vm.commentMode}">
    <div class="blur" ng-show="vm.commentMode" ng-click="vm.blur()"></div>
    <div class="splitter"></div>
    <div class="empty" ng-show="vm.global.selectedUser.requests.length == 0">
      <p>{{vm.global.selectedUserIsMe ? 'YOU' : 'THE USER'}} CURRENTLY DON'T HAVE ANY REQUESTS. <a href="javascript:void(0)" ng-click="vm.editMode = true" ng-show="vm.global.selectedUserIsMe">REQUESTS SOME BOOKS.</a></p>
    </div>
    <div class="col book" ng-repeat="book in vm.global.selectedUser.requests" ng-class="{'active':book.commentMode}" ng-if="vm.resultIsArray">
      <div class="body">
        <a ng-href="//www.goodreads.com/book/show/{{book.goodreads_id}}" target="_blank"><img ng-src="{{book.image_path}}"></a>
        <h2>{{book.author}}</h2>
        <h3>{{book.name}}</h3>
        <h2>
          <i class="fa fa-star" ng-repeat="i in book.rating | range"></i><i class="fa fa-star o" ng-repeat="i in (5 - book.rating | range)"></i>
          <span>{{book.ratings_count}} voters</span>
        </h2>
        <h2 ng-click="vm.focus(book)">
          <i class="fa fa-comments"></i>
          <span>{{book.comments_count}} comments</span>
        </h2>
        <i class="fa fa-check-circle" ng-show="book.mine"></i>
        <button class="close-button" ng-class="{'visible': book.commentMode}" ng-click="vm.blur()">×</button>
        <button class="large-button red" ladda="book.submitLoading" ng-click="vm.delete($index)">DELETE</button>
      </div>
      <div class="comments">
        <div class="comment-container">
          <input type="text" placeholder="WRITE A COMMENT" ng-keyup="vm.comment($event, book)" ng-model="vm.newComment">
          <a emoji-picker="vm.newComment" placement="bottom" class="emojipicker"></a>
        </div>
        <div class="comment" ng-repeat="comment in vm.global.selectedUser.requests_comments" ng-if="comment.topic_id == book.id">
          <img ng-src="{{vm.global.users[vm.findcommentuser(comment)].img}}" alt="" />
          <a ng-href="users/{{vm.global.users[vm.findcommentuser(comment)].id}}">
            {{vm.global.users[vm.findcommentuser(comment)].fullname}}
            <span class="split">&bull;</span>
            <span>{{comment.timestamp | relativeDate}}</span>
          </a>
          <p ng-bind-html="comment.comment | emojify"></p>
        </div>
      </div>
    </div>
  </div>
  <div class="search-row" ng-show="vm.editMode">
    <div class="col full">
      <input type="text" ng-model="vm.search" placeholder="ENTER A BOOK, AUTHOR OR ISBN" ng-keyup="vm.searchBook($event)">
    </div>
  </div>
  <div class="results" ng-show="vm.editMode && vm.search.length > 0">
    <div class="splitter"></div>
    <h1>SEARCH RESULTS</h1>
    <small>{{vm.searchedBooks.length}} results.</small>
    <div class="search-row">
      <div class="col book" ng-repeat="book in vm.searchedBooks" ng-if="vm.resultIsArray">
        <a ng-href="//www.goodreads.com/book/show/{{book.best_book.id.content}}" target="_blank"><img ng-src="{{book.best_book.image_url}}"></a>
        <h2>{{book.best_book.author.name}}</h2>
        <h3>{{book.best_book.title}}</h3>
        <h2>
          <i class="fa fa-star" ng-repeat="i in book.average_rating | range"></i><i class="fa fa-star o" ng-repeat="i in (5 - book.average_rating | range)"></i>
          <span>{{book.ratings_count.content}} voters</span>
        </h2>
        <i class="fa fa-check-circle" ng-show="book.mine"></i>
        <button class="large-button" ladda="book.submitLoading" ng-click="vm.submit(book)" ng-disabled="book.mine">{{book.mine ? 'ADDED' : 'ADD'}} TO MY REQUESTS</button>
      </div>
    </div>

  </div>
</div>
